﻿@model IEnumerable<CoverType>
@{
    ViewData["Title"] = "Index";
}
@*<partial name="_Notifications" /> --use in specific html if needed only that file*@
<div class="container p-3">
    <div class="row pt-4">
        <div class="col-6">
            <h2 class="text-primary">CoverType List </h2>
        </div>
        <div class="col-6 text-end">
            <a asp-controller="CoverType" asp-action="Create" class="btn btn-primary"><i class="bi bi-plus"> </i>&nbsp; Create New Cover Type</a>
        </div>
    </div>
    <br><br>

<table class= "table table-bordered table-striped" style="width:100%">
    <thead>
        <tr>
            <th>
                Cover Type Name
            </th>
            <th>

            </th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td width="60%">
                    @item.Name
                </td>
                <td>
                    <div class="w-40 btn-group" role="group">
                        <a asp-controller="CoverType" asp-action="Edit" asp-route-id=@item.Id class="btn btn-primary mx-2"><i class="bi bi-pencil"></i>Edit</a>
                    </div>
                    <div class="w-40 btn-group" role="group" style="background-color:red">
                        <a asp-controller="CoverType" asp-action="Delete" asp-route-id=@item.Id class="btn btn-primary mx-2 btn-danger" style="background-color:red" ><i class="bi bi-trash"></i>Delete</a>
                    </div>
                </td>
            </tr>        
        }
    </tbody>
</table>

</div>